/* 
*
*  ProLinga-Run
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Run.
*
*  ProLinga-Run is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Run is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Run.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/


#ifndef __LOGIC_COMMAND_DEF_HPP
#define __LOGIC_COMMAND_DEF_HPP

#define LC_RESPONSE_DATAREF	"DATAREF"
#define LC_RESPONSE_FILE	"FILE"
#define LC_RESPONSE_TEXT	"TXT"
#define LC_RESPONSE_XML		"XML"

#define LC_RESPONSE_TYPE_DATAREF	1
#define LC_RESPONSE_TYPE_FILE		2
#define LC_RESPONSE_TYPE_TEXT		3
#define LC_RESPONSE_TYPE_XML		4


/* RESPONSE command */
class LcResponse
{
	public:
		LcResponse();
		~LcResponse();
		int getResponseType(void);
		char *getResponseValue(void);
		void setResponseType(int resType);
		void setResponseValue(char *resValue);
	private:
		int responseType;
		char *responseValue;
};
typedef LcResponse *LcResponsePtr;

/* Proto types */
void ResetLogicCommandBuffers(void);

#endif /* __LOGIC_COMMAND_DEF_HPP */
